package streams

var (
	exampleMetadataStr = `StreamTitle='Test 123';`
	exampleMetadata    = map[string]string{
		"StreamTitle": "Test 123",
	}

	exampleData = []byte{
		0, 1, 2, 3, 4, 5, 6, 7,
		0, 1, 2, 3, 4, 5, 6, 7,
	}

	exampleCompleteData = append(
		append(
			append(
				append(
					append(
						exampleData[0:4], // content
						2,                // 2*16 = 32 bytes in length
					),
					[]byte(exampleMetadataStr)..., // actual metadata
				),
				make([]byte, 9)..., // padding
			),
			exampleData[4:8]...,
		),
		0, // 0*16 = 0 bytes, no change in length
	)
)

func Test_MetadataExtractor()
